(defsystem cube-modeller
  :depends-on (:sdl :opengl :mcclim :file-selector);; :acl-compat)
  :components ((:file "LED-cube")
               (:file "cube-transformations" :depends-on ("LED-cube"))

               (:file "package" :depends-on ("LED-cube"))
               (:file "commands" :depends-on ("package"))
               (:file "play-animation" :depends-on ("commands"))
	       (:file "viewer" :depends-on ("play-animation" "LED-cube"))

               (:file "clim-utilities")
               (:file "toolbox" :depends-on ("cube-transformations" "play-animation" "clim-utilities"))
               (:file "about-dialog" :depends-on ("toolbox"))

               (:file "starter" :depends-on ("toolbox" "viewer"))

               (:file "hacks" :depends-on ("cube-transformations"))
               (:file "interpolate" :depends-on ("LED-cube"))))
